<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Forms Task 1</title>
  <script>
      window.addEventListener("load", function () {
        var mainForm = document.forms.MyValidateForm;
        mainForm.addEventListener('submit', validateForm);

        // При фокусе на элемент уберем классы error, что бы не напрягать пользователя
        Array.from(mainForm.elements).forEach(function (elem) {
          if (elem.type === 'text' || elem.type === 'password') {
            elem.addEventListener('focus', function (event) {
              console.log(event);
              event.target.classList.remove('error');
            });
          }
        });

        // При согласии с лиуензией активировать кнопке submit
        var submit = document.getElementById('submit');        
        var agree = document.getElementById('agree');
        agree.addEventListener('click', function () {
          submit.disabled = !agree.checked;
        });

        // Валидация по кнопке submit
        function validateForm(e) {
          var elements = mainForm.elements;
          var flag = true;

          if (elements.login.value.length > 0) {
            elements.login.classList.add('OK');
          } else {
            elements.login.classList.add('error');
            flag = false;
          }
          if (elements.pas1.value === elements.pas2.value && elements.pas1.value.length > 0) {
            elements.pas1.classList.add('OK');
            elements.pas2.classList.add('OK');
          } else {
            elements.pas1.classList.add('error');
            elements.pas2.classList.add('error');
            flag = false;
          }

          if (!flag) {
            e.preventDefault();
          } else {
          }
        }
      });
      
    /*
      Задание:
        Сделать валидацию формы:
        1. Логин / Пароль не может быть пустым
        2. Пароли должны совпадть
        3. Пока не стоит что юзер согласен с лиц. соглашением - кнопка отправки не активна

        + бонус - то поле, которое не прошло валидацию подсвечивать красным.
                - которое прошло - подсвечивать зеленым.
    */
  </script>
</head>
<body>
  <form id="MyValidateForm" name="MyValidateForm">
    <input type="text" name='login' placeholder="Ваш логин" />
    <input type="password" name='pas1' placeholder="Ваш пароль" />
    <input type="password" name='pas2' placeholder="Повторите пароль" />
    <label for="agree">
      <span>Вы согласны с лицензионым соглашением.</span>
      <input type="checkbox" id="agree" name="agree"/>
    </label>
    <input type="submit" id="submit" value="Отправить" disabled/>
  </form>

  <style>
    #MyValidateForm{
      width: 350px;
      display: flex;
      flex-direction: column;
    }

    #MyValidateForm input{
      margin-bottom: 10px;
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .error{
        border: 1px solid red;
    }
    .OK{
        border: 1px solid green;
    }
  </style>
</body>
</html>
